%global pypi_name pysqueezebox

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        1%{?dist}
Summary:        Python library to control Logitech Media Server

License:        ASL 2.0
URL:            https://github.com/rajlaud/pysqueezebox
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Python library to control a Logitech Media Server asynchronously.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python library to control a Logitech Media Server asynchronously.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# Tests are not included in the PyPI source, only in the GitHub source
#%%check
#%%pytest -v tests

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Oct 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-1
- Initial package for Fedora
